Bug 130221 - [EASYFIX] [PATCH] bind-devel should require epoch:version if epoch is set
Summary: [EASYFIX] [PATCH] bind-devel should require epoch:version if epoch is set
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 09:13 UTC by Nils Philippsen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: bind-9.2.4rc6-FC2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 16:00:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:567 normal SHIPPED_LIVE Updated bind packages 2004-12-21 05:00:00 UTC

Description Nils Philippsen 2004-08-18 09:13:39 UTC
Description of problem:

bind-devel requires "bind = 9.2.4rc6", but bind only provides "bind =
2:9.2.4rc6-FC2_6", thus bind, bind-devel can't be upgraded without
--nodeps.

Version-Release number of selected component (if applicable):

bind-9.2.4rc6-FC2_6

How reproducible:

Easy

Steps to Reproduce:
1. Try to upgrade bind, bind-devel
  
Actual results:

Dependeny problem

Expected results:

Installs flawlessly

Additional info:

Just use "Requires: %{name} = %{?epoch:%{epoch}:}%{version}" or
"Requires %{name} = %{?epoch:%{epoch}:}%{version}-%{release}" and it
should work regardless of whether Epoch is set or not.

Comment 1 Jason Vas Dias 2004-08-18 16:00:16 UTC
Whoops! Sorry about that. Now fixed & submitted to fc2-updates in
bind-9.2.4rc6-FC2_7 .


Comment 2 John Flanagan 2004-12-21 19:49:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-567.html



Note You need to log in before you can comment on or make changes to this bug.